MCP Gateway Backend V1

Operations related to MCP Gateway backends.

List all Cassandra backends in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved Cassandra backends for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/backends/cassandra/v1
Request samples
Response samples
application/json
[
  • {
    }
]

List all HTTP Server backends in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved HTTP Server backends for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/backends/http-server/v1
Request samples
Response samples
application/json
[
  • {
    }
]

List all Kafka backends in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved Kafka backends for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/backends/kafka/v1
Request samples
Response samples
application/json
[
  • {
    }
]

List all OpenSearch backends in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved OpenSearch backends for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/backends/opensearch/v1
Request samples
Response samples
application/json
[
  • {
    }
]

Create an MCP Gateway Cassandra backend.

SecurityBasic Authentication
Request
Request Body schema: application/json
required
virtualServerId
required
string <uuid>

ID of the virtual server this backend belongs to.

name
required
string^[a-z0-9_-]+$

Name of the backend.

cassandraDataCentreId
required
string <uuid>

ID of the Cassandra Data Centre

Array of objects (AuthenticationSaslPlainV1) <= 1 items
peerNetworks
boolean

Create a network peering connection between the backend and the MCP Gateway

usePrivateNetwork
boolean

Use private network to communicate with the backend

Responses
202

MCP Gateway Cassandra backend creation requested.

post/cluster-management/v2/resources/applications/mcp-gateway/backends/cassandra/v1
Request samples
application/json
{
  • "cassandraClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "cassandraDataCentreId": "d4e5f6a7-b8c9-0123-def0-234567890123",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-cassandra-backend",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "cassandraClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "cassandraDataCentreId": "d4e5f6a7-b8c9-0123-def0-234567890123",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-cassandra-backend",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Get an MCP Gateway Cassandra backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Responses
200

MCP Gateway Cassandra backend details retrieved.

404

MCP Gateway backend not found.

get/cluster-management/v2/resources/applications/mcp-gateway/backends/cassandra/v1/{backendId}
Request samples
Response samples
application/json
{
  • "cassandraClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "cassandraDataCentreId": "d4e5f6a7-b8c9-0123-def0-234567890123",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-cassandra-backend",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Update an MCP Gateway Cassandra backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Request Body schema: application/json
required
name
required
string^[a-z0-9_-]+$

Name of the backend.

cassandraDataCentreId
required
string <uuid>

ID of the Cassandra Data Centre

Array of objects (AuthenticationSaslPlainV1) <= 1 items
peerNetworks
boolean

Create a network peering connection between the backend and the MCP Gateway

usePrivateNetwork
boolean

Use private network to communicate with the backend

Responses
202

MCP Gateway Cassandra backend update requested.

404

MCP Gateway backend not found.

put/cluster-management/v2/resources/applications/mcp-gateway/backends/cassandra/v1/{backendId}
Request samples
application/json
{
  • "name": "my-cassandra-backend",
  • "cassandraDataCentreId": "d7dd5a27-3366-4153-a2c1-68572380c6a9",
  • "authenticationSaslPlain": [
    ],
  • "peerNetworks": true,
  • "usePrivateNetwork": true
}
Response samples
application/json
{
  • "cassandraClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "cassandraDataCentreId": "d4e5f6a7-b8c9-0123-def0-234567890123",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-cassandra-backend",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Delete an MCP Gateway Cassandra backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Responses
204

MCP Gateway Cassandra backend delete requested.

404

MCP Gateway backend not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/backends/cassandra/v1/{backendId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}

Create an MCP Gateway HTTP Server backend.

SecurityBasic Authentication
Request
Request Body schema: application/json
required
name
required
string^[a-z0-9_-]+$

Name of the backend.

virtualServerId
required
string <uuid>

ID of the virtual server this backend belongs to.

serverUrl
required
string

Host URL of the HTTP Server backend.

Array of objects (McpGatewayMcpBackendHttpAuthenticationV1) <= 1 items
Responses
202

MCP Gateway HTTP Server backend creation requested.

post/cluster-management/v2/resources/applications/mcp-gateway/backends/http-server/v1
Request samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-http-server-backend",
  • "serverUrl": "https://api.example.com",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-http-server-backend",
  • "serverUrl": "https://api.example.com",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Get an MCP Gateway HTTP Server backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Responses
200

MCP Gateway HTTP Server backend details retrieved.

404

MCP Gateway backend not found.

get/cluster-management/v2/resources/applications/mcp-gateway/backends/http-server/v1/{backendId}
Request samples
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-http-server-backend",
  • "serverUrl": "https://api.example.com",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Update an MCP Gateway HTTP Server backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Request Body schema: application/json
required
serverUrl
required
string

Host URL of the HTTP Server backend.

name
required
string^[a-z0-9_-]+$

Name of the backend.

Array of objects (McpGatewayMcpBackendHttpAuthenticationV1) <= 1 items
Responses
202

MCP Gateway HTTP Server backend update requested.

404

MCP Gateway backend not found.

put/cluster-management/v2/resources/applications/mcp-gateway/backends/http-server/v1/{backendId}
Request samples
application/json
{
  • "serverUrl": "https://api.example.com",
  • "name": "my-cassandra-backend",
  • "authentication": [
    ]
}
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-http-server-backend",
  • "serverUrl": "https://api.example.com",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Delete an MCP Gateway HTTP Server backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Responses
204

MCP Gateway HTTP Server backend delete requested.

404

MCP Gateway backend not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/backends/http-server/v1/{backendId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}

Create an MCP Gateway Kafka backend.

SecurityBasic Authentication
Request
Request Body schema: application/json
required
virtualServerId
required
string <uuid>

ID of the virtual server this backend belongs to.

kafkaClusterId
required
string <uuid>
name
required
string^[a-z0-9_-]+$

Name of the backend.

Array of objects (AuthenticationSaslPlainV1) <= 1 items
peerNetworks
boolean

Create a network peering connection between the backend and the MCP Gateway

usePrivateNetwork
boolean

Use private network to communicate with the backend

Responses
202

MCP Gateway Kafka backend creation requested.

post/cluster-management/v2/resources/applications/mcp-gateway/backends/kafka/v1
Request samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "kafkaClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "name": "my-kafka-backend",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "kafkaClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "name": "my-kafka-backend",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Get an MCP Gateway Kafka backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Responses
200

MCP Gateway Kafka backend details retrieved.

404

MCP Gateway backend not found.

get/cluster-management/v2/resources/applications/mcp-gateway/backends/kafka/v1/{backendId}
Request samples
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "kafkaClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "name": "my-kafka-backend",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Update an MCP Gateway Kafka backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Request Body schema: application/json
required
kafkaClusterId
required
string <uuid>
name
required
string^[a-z0-9_-]+$

Name of the backend.

Array of objects (AuthenticationSaslPlainV1) <= 1 items
peerNetworks
boolean

Create a network peering connection between the backend and the MCP Gateway

usePrivateNetwork
boolean

Use private network to communicate with the backend

Responses
202

MCP Gateway Kafka backend update requested.

404

MCP Gateway backend not found.

put/cluster-management/v2/resources/applications/mcp-gateway/backends/kafka/v1/{backendId}
Request samples
application/json
{
  • "kafkaClusterId": "477052c5-1a53-4a6b-9169-8103e9ee4383",
  • "name": "my-cassandra-backend",
  • "authenticationSaslPlain": [
    ],
  • "peerNetworks": true,
  • "usePrivateNetwork": true
}
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "kafkaClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "name": "my-kafka-backend",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Delete an MCP Gateway Kafka backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Responses
204

MCP Gateway Kafka backend delete requested.

404

MCP Gateway backend not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/backends/kafka/v1/{backendId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}

Create an MCP Gateway OpenSearch backend.

SecurityBasic Authentication
Request
Request Body schema: application/json
required
virtualServerId
required
string <uuid>

ID of the virtual server this backend belongs to.

name
required
string^[a-z0-9_-]+$

Name of the backend.

Array of objects (AuthenticationSaslPlainV1) <= 1 items
opensearchClusterId
required
string <uuid>
peerNetworks
boolean

Create a network peering connection between the backend and the MCP Gateway

usePrivateNetwork
boolean

Use private network to communicate with the backend

Responses
202

MCP Gateway OpenSearch backend creation requested.

post/cluster-management/v2/resources/applications/mcp-gateway/backends/opensearch/v1
Request samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-opensearch-backend",
  • "opensearchClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-opensearch-backend",
  • "opensearchClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Get an MCP Gateway OpenSearch backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Responses
200

MCP Gateway OpenSearch backend details retrieved.

404

MCP Gateway backend not found.

get/cluster-management/v2/resources/applications/mcp-gateway/backends/opensearch/v1/{backendId}
Request samples
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-opensearch-backend",
  • "opensearchClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Update an MCP Gateway OpenSearch backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Request Body schema: application/json
required
name
required
string^[a-z0-9_-]+$

Name of the backend.

Array of objects (AuthenticationSaslPlainV1) <= 1 items
opensearchClusterId
required
string <uuid>
peerNetworks
boolean

Create a network peering connection between the backend and the MCP Gateway

usePrivateNetwork
boolean

Use private network to communicate with the backend

Responses
202

MCP Gateway OpenSearch backend update requested.

404

MCP Gateway backend not found.

put/cluster-management/v2/resources/applications/mcp-gateway/backends/opensearch/v1/{backendId}
Request samples
application/json
{
  • "name": "my-cassandra-backend",
  • "authenticationSaslPlain": [
    ],
  • "opensearchClusterId": "b4fa9d7e-e3f6-4208-81f0-c26361b04b74",
  • "peerNetworks": true,
  • "usePrivateNetwork": true
}
Response samples
application/json
{
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-opensearch-backend",
  • "opensearchClusterId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Delete an MCP Gateway OpenSearch backend.

SecurityBasic Authentication
Request
path Parameters
backendId
required
string <uuid>

ID of the MCP Gateway backend.

Responses
204

MCP Gateway OpenSearch backend delete requested.

404

MCP Gateway backend not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/backends/opensearch/v1/{backendId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}